##
##bhm1 different wpp versions (1950-2010)
##bhm2 high low and unpd (1950-2015) and weighted
##bhm3 nigeria and kenya (1950-2015)
##

library("bayesTFR")

setwd("S:/VID/project/tfrproj3/")
wd <- getwd()

#wpp=2008
for(wpp in c(2008, 2010, 2012, 2015)){
  message(wpp)
  s0<-Sys.time()
  print(s0)
  
  sim.dir <- paste0(wd, "/wpp", wpp)
  unlink(sim.dir, recursive = TRUE, force = TRUE)
  dir.create(sim.dir)
  
  m<-NULL;m3<-NULL;dg<-NULL;dg3<-NULL;pred<-NULL
  m <- run.tfr.mcmc(output.dir=sim.dir, seed=1, start.year=1950, present.year = 2010, 
                    parallel=TRUE, buffer.size = 10000, iter="auto",
                    auto.conf=list(max.loops=20),
                    my.tfr.file =  paste0(wd, "/data/wpp",wpp, "_tfr.csv"))

  dg <- get.tfr.convergence(sim.dir=sim.dir); summary(dg)
  
  m3 <- run.tfr3.mcmc(sim.dir=sim.dir, seed=1, iter="auto", 
                      parallel=TRUE, buffer.size = 10000, replace.output = TRUE) 

  if(!is.null(m3))
    dg3 <- get.tfr3.convergence(sim.dir=sim.dir)#; summary(dg3)
  
  pred <- tfr.predict(m, end.year=2100, sim.dir=sim.dir, use.diagnostics=TRUE, seed=1, save.as.ascii="all", 
                      use.tfr3=!is.null(m3), use.correlation = TRUE)
  
  s1<-Sys.time()-s0
  print(s1)
  
  #save space
  save.image(file=paste0(sim.dir,"/info.RData"))
  gc()
}