##
##pop1 standard pop projections
##pop3 projections for correlation
##

wd<-"S:/VID/project/tfrproj3/"
setwd(wd)

library(readr)
library(dplyr)
library(tidyr)
df0 <- read_csv(paste0(wd, "unpd2015/predictions/ascii_trajectories.csv"),
                col_types = list(col_integer(), col_character(), col_integer(), col_integer(), col_double()))

df1 <- df0 %>%
  group_by(LocID, Period, Year) %>%
  summarise(low95 = quantile(TF, probs = 0.025),
            low80 = quantile(TF, probs = 0.1),
            median = quantile(TF, probs = 0.5),
            upp80 = quantile(TF, probs = 0.8),
            upp95 = quantile(TF, probs = 0.975))


##
##pop projection
##
library("bayesPop")

#i="low80"
for(i in c("low95","low80","upp80","upp95","median")){
  df2 <- df1 %>% 
    gather(key = Trajectory, value = TF, -(1:3)) %>%
    filter(Trajectory == i) %>%
    mutate(Trajectory = 1)
  write_csv(df2, paste0(wd, "unpd2015/predictions/ascii_trajectories_",i,".csv"))
  
  sim.dir.pop <- paste0(wd, "unpd2015/pop_",i)
  pred <- pop.predict(output.dir=sim.dir.pop, verbose=TRUE, wpp.year = 2015, present.year = 2015,
                      inputs = list(tfr.files = paste0(wd, "unpd2015/predictions/ascii_trajectories_",i,".csv")))
}